################################################################

B_CFLAGS = -I/mingw32/include -I/mingw32/include/glib-2.0 -I/mingw32/i686-w64-mingw32/include -I/mingw32/include/python2.7 -pipe -O3 -mms-bitfields -march=i686 -s
B_LDFLAGS = -L/mingw32/i686-w64-mingw32/lib -L/mingw32/lib -L/mingw32/lib/python2.7 -mwindows -lpthread
GIMPARGS = $(shell gimptool-2.0 --cflags --libs)
PCREARGS = $(shell pcre-config --cflags --libs)

make: 
	/mingw32/bin/i686-w64-mingw32-gcc.exe -o colour-match.exe -Wall -O3 -Wno-unused-variable -Wno-pointer-sign -Wno-parentheses colour-match-samj.c $(B_CFLAGS) $(B_LDFLAGS) $(GIMPARGS) $(PCREARGS)

################################################################